<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_b_b_jaheshes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('province_fa')->nullable();
            $table->unsignedTinyInteger('province_id')->nullable()->index('b_b_jaheshes_province_id_foreign');
            $table->tinyInteger('project_type')->nullable();
            $table->string('project_type_fa')->nullable();
            $table->double('plan_id', null, 0)->nullable();
            $table->string('plan_fa')->nullable();
            $table->double('project_count_all', null, 0)->nullable();
            $table->double('project_count_done', null, 0)->nullable();
            $table->double('project_progress', null, 0)->nullable();
            $table->string('unit')->nullable();
            $table->timestamps();
            $table->string('last_updated_at_fa')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_b_b_jaheshes');
    }
};
